#### D.5.2.10 chAll

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chAll(l [,N]); l a list of polynomials, N integer

Return:
  list of polynomials

Purpose:
  computes the list of terms of positive degree [up to degree N] of the Chern character, where the entries of l are considered as the Chern classes

Note:
  makes sense only for a list of polynomials

Example:

    LIB "chern.lib";
    // Chern character (terms of degree 1, 2, 3)
    // corresponding to the Chern classes c(1), c(2), c(3):
    ring r = 0, (c(1..3)), dp;
    list l=(c(1..3));
    print(chAll(l));
    // terms up to degree 5 in the same situation
    print(chAll(l, 5));

User manual for Singular version 4.4.1, 2025, generated by texi2html.